# Uses of Class
net.shibboleth.idp.attribute.resolver.dc.ValidationException

Packages that use ValidationException
Package
Description
net.shibboleth.idp.attribute.resolver.dc
Interfaces supporting data connectors.
net.shibboleth.idp.attribute.resolver.dc.ldap.impl
A `DataConnector` implementation that reads data from an LDAP.
net.shibboleth.idp.attribute.resolver.dc.rdbms.impl
A `DataConnector` implementation that reads data from a relational database.
net.shibboleth.idp.attribute.resolver.dc.saml.impl
A `DataConnector` implementation that queries data from a SAML attribute authority.
net.shibboleth.idp.attribute.resolver.dc.scripted.impl
Classes which make up the scripted data connector.

## Uses of ValidationException in net.shibboleth.idp.attribute.resolver.dc

Methods in net.shibboleth.idp.attribute.resolver.dc that throw ValidationException
Modifier and Type
Method
Description
`void`
Validator.`validate(DataConnector dataConnector)`
Probe the data connector and conditionally fails if it is not valid and ready for use.

## Uses of ValidationException in net.shibboleth.idp.attribute.resolver.dc.ldap.impl

Methods in net.shibboleth.idp.attribute.resolver.dc.ldap.impl that throw ValidationException
Modifier and Type
Method
Description
`void`
ConnectionFactoryValidator.`validate(DataConnector dataConnector)`
Probe the data connector and conditionally fails if it is not valid and ready for use.

## Uses of ValidationException in net.shibboleth.idp.attribute.resolver.dc.rdbms.impl

Methods in net.shibboleth.idp.attribute.resolver.dc.rdbms.impl that throw ValidationException
Modifier and Type
Method
Description
`void`
DataSourceValidator.`validate(DataConnector dataConnector)`
Probe the data connector and conditionally fails if it is not valid and ready for use.

## Uses of ValidationException in net.shibboleth.idp.attribute.resolver.dc.saml.impl

Methods in net.shibboleth.idp.attribute.resolver.dc.saml.impl that throw ValidationException
Modifier and Type
Method
Description
`void`
SAMLDataConnector.NullValidator.`validate(DataConnector dataConnector)`
Probe the data connector and conditionally fails if it is not valid and ready for use.

## Uses of ValidationException in net.shibboleth.idp.attribute.resolver.dc.scripted.impl

Methods in net.shibboleth.idp.attribute.resolver.dc.scripted.impl that throw ValidationException
Modifier and Type
Method
Description
`void`
ScriptedDataConnector.NullValidator.`validate(DataConnector dataConnector)`
Probe the data connector and conditionally fails if it is not valid and ready for use.